import 'package:alm/alm.dart';
import 'package:pdfio/pack.dart';

void main() {
  Alm.timer();

  var target='dd1';
  var bytes = Alm.fileBytes('/Users/alm/Documents/pdf/$target.pdf');

  var pack = Pack(bytes);

  pack.decode();

  printPretty(pack.dicts);

  var enpack = pack.encode({'image':{'width':1595,'height':1841,'quality':85}});

  Alm.file('build/$target-n.pdf').writeAsBytesSync(enpack);

  printPretty(pack.encodings);

  Alm.timerDiff();
}
